Get custom fields of project (page)
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/customFields \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/customFields"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/customFields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"customField": {
"allowedEntities": [],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"description": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"lastModifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"name": "<string>",
"options": {
"remainingCount": 123,
"truncatedOptions": [
{
"deprecated": true,
"uid": "<string>",
"used": true,
"value": "<string>"
}
]
},
"required": true,
"requiredFrom": "2023-11-07T05:31:56Z",
"uid": "<string>"
},
"selectedOptions": [
{
"deprecated": true,
"uid": "<string>",
"used": true,
"value": "<string>"
}
],
"uid": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"value": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Project
Get custom fields of project (page)
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
customFields
Get custom fields of project (page)
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Query Parameters
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 20
Required range:
1 <= x <= 50Filter by custom field instance creator UIDs
Filter by custom field instance updater UIDs
Sort by this field
Available options:
CREATED, LAST_MODIFIED Sort direction
Available options:
ASC, DESC Was this page helpful?
⌘I